package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/18 10:16 AM
 */
public enum  EnterpriseListOrderByEnum {
    CreateTime_ASC(1, " order by a.create_time "),
    CreateTime_DESC(2, " order by a.create_time desc "),
    ExpireTime_ASC(3, " order by c.expiration_time "),
    ExpireTime_DESC(4, " order by c.expiration_time desc ");

    private int code;
    private String message;

    private EnterpriseListOrderByEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getOrderBy(int code) {
        for (EnterpriseListOrderByEnum orderByEnum : values()) {
            if (code == orderByEnum.getCode()) {
                return orderByEnum.getMessage();
            }
        }
        return null;
    }
}
