package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/18 9:00 AM
 */
public enum EnterpriseVersionStatusEnum {
    EFFECTIVE(1, "有效"),
    INVALID(0, "无效"),
    DISABLE(2, "停用"),
    OVERDUE(3, "逾期"),
    NO_SERVICE(4, "无服务"),
    ABOUT_TO_EXPIRE(5, "即将到期");

    private int code;
    private String message;

    private EnterpriseVersionStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
