package com.gic.enterprise.service;

import com.gic.enterprise.dto.PlatformBrandRefDTO;
import com.gic.enterprise.entity.TabPlatformBrandRef;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface PlatformBrandRefService {
    Integer countByPlatformBrandId(Integer platformBrandId);

    Map<Integer,Integer> countByPlatformBrandIds(List<Integer> platformBrandIdList);

    Integer save(PlatformBrandRefDTO platformBrandRefDTO);

    Integer delRef(Integer enterpriseId, Integer enterpriseBrandId);

    Integer delRef(Integer enterpriseId, List<Integer> enterpriseBrandIds);

    Page<TabPlatformBrandRef> listByPlatformBrandRef(String brandName);

    Integer updateRef(Integer fromBrandId, Integer toBrandId);
}
