package com.gic.enterprise.dto;

import com.gic.enterprise.constant.TransferAccountApprovalStatusEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/19 1:49 PM
 */
public class TransferAccountsApprovalListDTO implements Serializable{
    private static final long serialVersionUID = -8410855068398177651L;

    private Integer transferApprovalId;

    private String enterpriseName;

    private String companyName;

    private String logo;

    /**
     * 验证码
     */
    private String verifyCode;
    /**
     * 审批流水号
     */
    private String approvalNumber;

    /**
     * 发起人类型
     */
    private Integer initiatorType;
    /**
     * 发起人名称
     */
    private String initiatorName;
    /**
     * 计划金额
     */
    private Double plannedAmount;
    /**
     * 坏账金额
     */
    private Double badAmount;
    /**
     * 审批状态 1:待审批 2:已取消 3:已驳回 4:审批通过
     */
    private Integer approvalStatus;

    private String approvalStatusName;
    /**
     * 审批时间
     */
    private Date approvalTime;
    /**
     * 审批人姓名
     */
    private String approvalName;
    /**
     *
     */
    private Date createTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getTransferApprovalId() {
        return transferApprovalId;
    }

    public void setTransferApprovalId(Integer transferApprovalId) {
        this.transferApprovalId = transferApprovalId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public Integer getInitiatorType() {
        return initiatorType;
    }

    public void setInitiatorType(Integer initiatorType) {
        this.initiatorType = initiatorType;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

    public Double getPlannedAmount() {
        return plannedAmount;
    }

    public void setPlannedAmount(Double plannedAmount) {
        this.plannedAmount = plannedAmount;
    }

    public Double getBadAmount() {
        return badAmount;
    }

    public void setBadAmount(Double badAmount) {
        this.badAmount = badAmount;
    }

    public Integer getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public Date getApprovalTime() {
        return approvalTime;
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public String getApprovalStatusName() {
        return TransferAccountApprovalStatusEnum.getMessageBuCode(approvalStatus);
    }

    public void setApprovalStatusName(String approvalStatusName) {
        this.approvalStatusName = approvalStatusName;
    }
}
