package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.EnterpriseInitDTO;

import java.util.List;

/**
 * @author guojx
 * @date 2019/7/18 11:04 AM
 */
public interface EnterpriseInitApiService {

    /**
     * 初始化项目，根据code
     * @param configCode
     * @param enterpriseId
     * @return
     */
    ServiceResponse initByConfigCode(String configCode, Integer enterpriseId);

    /**
     * 查询列表
     * @param enterpriseId
     * @return
     */
    ServiceResponse<List<EnterpriseInitDTO>> listByEnterpriseId(Integer enterpriseId);

}
