package com.gic.enterprise.service;

import com.gic.enterprise.dto.TransferAccountsApprovalDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalDetailDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalListDTO;
import com.gic.enterprise.entity.TabTransferAccountsApproval;
import com.github.pagehelper.Page;

/**
 * @author guojx
 * @date 2019/7/19 9:55 AM
 */
public interface TransferAccountsApprovalService {

    /**
     * 发起审批
     * @param transferAccountsApprovalDTO
     * @return
     */
    int initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    /**
     * 主键查询
     * @param transferApprovalId
     * @return
     */
    TabTransferAccountsApproval getById(Integer transferApprovalId);

    void updateTransferAccountsApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    Page<TransferAccountsApprovalListDTO> listTransferAccountsApproval(String search, Integer approvalStatus,
                                                                       Integer enterpriseId,
                                                                       Integer pageNum, Integer pageSize);

    TransferAccountsApprovalDetailDTO getDetailById(Integer transferApprovalId);
}
